// EXTRACTORDoc.h : interface of the CExtractorDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXTRACTORDOC_H__6915D6F6_0F63_4937_9348_8D96D7124104__INCLUDED_)
#define AFX_EXTRACTORDOC_H__6915D6F6_0F63_4937_9348_8D96D7124104__INCLUDED_


#include "OutputDlg.h"	// Added by ClassView
#include "avi.h"	// Added by ClassView
#include "FilterDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "direct.h"

class CExtractorDoc : public CDocument
{
protected: // create from serialization only
	CExtractorDoc();
	DECLARE_DYNCREATE(CExtractorDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExtractorDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	CMyAvi* Getm_avi();
						//main process

	virtual ~CExtractorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

private:
	CString m_strFileName;					//the avi file name
	CFilterDlg m_dlgFilter;		//dialog to set parameters: file type of I/P-frame
	COutputDlg m_dlgOutput;					//dialog to set parameters: filter
	CMyAvi m_avi;	

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CExtractorDoc)
	afx_msg void OnFileOpen();
	afx_msg void OnFilter();
	afx_msg void OnOutput();
	afx_msg void OnButtonStart();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTRACTORDOC_H__6915D6F6_0F63_4937_9348_8D96D7124104__INCLUDED_)
